Форум русскоязычного сообщества Ubuntu


Автор Тема: Brocken dependencies в Synaptic  (Прочитано 586 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн DFooz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Brocken dependencies в Synaptic
« : 28 Августа 2008, 20:39:26 »
Жаловалась 1-на .deb-программка при установке, что нет необходимых либ. Но я её через dpkg -i ...  установил. Теперь при заходе в Synaptic - при установке какого-либо пакета  требует удаления того , Add/Remove вообще не запускается и  ещё где-то что-то не так.

Можно ли как-то сделать игнорирование кривых зависимостей? Удалять не хочется.

Oni-chan

  • Гость
Re: Brocken dependencies в Synaptic
« Ответ #1 : 29 Августа 2008, 00:22:03 »
sudo apt-get -f install
но оно, скорее всего удалит.
либо через гугл искать необходимые deb-пакеты и доставлять их на свой страх и риск (скорее всего, эта строчка рекурсивна =) ибо для недостающих пакетов тоже придется решать зависимости).

universe репозиторий подключен?

Оффлайн DFooz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: Brocken dependencies в Synaptic
« Ответ #2 : 29 Августа 2008, 10:27:30 »
всё-таки удалил программку

 

Страница сгенерирована за 0.045 секунд. Запросов: 23.